# Uses of Class
com.jangular.backend.models.Role

Packages that use Role
Package
Description
com.jangular.backend.repository
com.jangular.backend.service

## Uses of Role in com.jangular.backend.repository

Methods in com.jangular.backend.repository that return types with arguments of type Role
Modifier and Type
Method
Description
`Optional<Role>`
RoleRepository.`findByName(RoleName roleName)`

## Uses of Role in com.jangular.backend.service

Methods in com.jangular.backend.service that return Role
Modifier and Type
Method
Description
`Role`
UserService.`getDefaultRole()`
Get default role (ROLE_USER)